
#include "petscdmmoab.h"
#include "petsc.h"
#include "MBTagConventions.hpp"
#include "moab/Core.hpp"
#include "moab/ReadUtilIface.hpp"

#include <cstring>

using namespace std;

int main(int argc, char** argv)
{

    PetscErrorCode ierr;
    int rank ;
    char help[] = " ";
    PetscLogDouble start, stop;
    static DM dm_ ;

    string file_name="scaling_study.h5m" ;

    ierr = PetscInitialize(&argc,&argv,(char*)0,help);CHKERRQ(ierr);

    ierr = PetscTime(&start); CHKERRQ(ierr);

    // load the file and set the field names
    ierr = DMMoabLoadFromFile(PETSC_COMM_WORLD, 3, file_name.c_str(),
			      NULL, &dm_);

    ierr = PetscTime(&stop); CHKERRQ(ierr);

    ierr = MPI_Comm_rank(PETSC_COMM_WORLD, &rank); CHKERRQ(ierr);

    if (rank == 0){
    cout << "Time to read file: " << stop - start << " [sec.]" << endl ;
    }

    ierr = PetscFinalize(); CHKERRQ(ierr);

}
